# Copyright (C) 2020 VMware, Inc. All rights reserved.
# -- VMware Confidential
import uuid


def convert_to_uuid_str(uuid_msg):
    """
    convert UuidMsg to uuid string
    :param uuid_msg: id {   left: 6058522876635726111   right: 9329288385188951827 }
    :return: uuid string: '54143274-f573-411f-8178-4a5b8e5d7713'
    """
    uuid_int = uuid_msg.left << 64 | uuid_msg.right
    return str(uuid.UUID(int=uuid_int))
